package com.example.chat2weeks.tab;

import com.example.chat2weeks.tab.ContactFragment.ListFragmentClickListener;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ChatFragment extends ListFragment {
	
	ContactFragment.ListFragmentClickListener listFragmentClickListener;
	public static final String DEBUG_CHATFRAGMENT = "com.example.chat2weeks.tab.ChatFragment.debug";
	public static final String ERROR_CHATFRAGMENT = "com.example.chat2weeks.tab.ChatFragment.error";
	public static final String STRING_CHATFRAGMENT = "com.example.chat2weeks.tab.ChatFragment.String";
	public static final int TYPE_CHATFRAGMENT = 2;
	
	/** An Array of items to display in ArrayList */
	static String chatList_versions[] = new String[]{
		"Person 1",
		"Anjrit",
		"Banke",
		"Slip",
		"Slut",
		"Fuck",
		"Who's care",
		"Jir",
		"Bangkong",
		"Bangsat",
		"Mampus Lu",
	};
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		/** Creating array adapter to set data in listview */
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity().getBaseContext(), android.R.layout.simple_list_item_multiple_choice, chatList_versions);
		setListAdapter(adapter);
		return super.onCreateView(inflater, container, savedInstanceState);
	}
	
	@Override
	public void onStart() {
		super.onStart();
		/** Setting the multiselect choice mode for the listview */
		getListView().setChoiceMode(ListView.CHOICE_MODE_MULTIPLE);
	}
	
	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		try{
			listFragmentClickListener = (ListFragmentClickListener) getActivity();
//			listFragmentClickListener.onListFragmentItemClick(position);
			listFragmentClickListener.onListFragmentItemClick(position, chatList_versions[position], TYPE_CHATFRAGMENT);
		}catch(ClassCastException cce){
			Log.e(ERROR_CHATFRAGMENT, "Gagal Mengcast kelas " + cce.getMessage());
		}
	}
}
