package com.example.chat2weeks.tab;

import com.example.chat2weeks.ChatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ContactFragment extends ListFragment {
	// TODO sekarang bagian ini harus bisa 
	public static final String DEBUG_CONTACTFRAGMENT = "com.example.chat2weeks.tab.AndroidFragment.debug";
	public static final String ERROR_CONTACTFRAGMENT = "com.example.chat2weeks.tab.AndroidFragment.error";
	public static final String STRING_CONTACTFRAGMENT = "com.example.chat2weeks.tab.AndroidFragment.String";
	public static final int TYPE_CONTACTFRAGMENT = 1;
	ListFragmentClickListener clickAndroidList;
	
	String contact_version[] = new String[]{
//	"Ferdi"
//	,"Yogi"
//	,"Bobby"
//	,"Adi"
//	,"Wisnu"
//		"Person 1"
//			,"Person 2"
//			,"Person 3"
			ChatFragment.chatList_versions[0],
			ChatFragment.chatList_versions[5],
			ChatFragment.chatList_versions[4],
			ChatFragment.chatList_versions[2],
			ChatFragment.chatList_versions[1],
			ChatFragment.chatList_versions[3],
	};
	
	/**
	 * interface untuk komunikasi antara Fragment ke Fragment
	 * @author MSCI
	 *
	 */
	public interface ListFragmentClickListener{
		void onListFragmentItemClick(int position);
		void onListFragmentItemClick(int position, String name);
		void onListFragmentItemClick(int position, String name, int type_of_fragment);
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity().getBaseContext(), android.R.layout.simple_list_item_multiple_choice, contact_version);
		setListAdapter(adapter);
		return super.onCreateView(inflater, container, savedInstanceState);
	}
	
	@Override
	public void onStart() {
		super.onStart();
		/** Setting the multiselect choice mode for the listview*/
		getListView().setChoiceMode(ListView.CHOICE_MODE_MULTIPLE);
	}
	
//	@Override
//	public void onListItemClick(ListView l, View v, int position, long id) {
//		// TODO seharusnya disini menlempar data dari list 
//		super.onListItemClick(l, v, position, id);
//		Log.d(DEBUG_ANDROIDFRAGMENT, "Telah diclick posisi"+position);
//		Intent startChatActivity = new Intent(getActivity(), ChatActivity.class);
//		startActivity(startChatActivity);
//	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		super.onListItemClick(l, v, position, id);
		try{
			clickAndroidList = (ListFragmentClickListener) getActivity();
//			clickAndroidList.onListFragmentItemClick(position);
			clickAndroidList.onListFragmentItemClick(position, contact_version[position], TYPE_CONTACTFRAGMENT);
		}catch(ClassCastException cce){
			Log.e(ERROR_CONTACTFRAGMENT, "Gagal Mengcast kelas " + cce.getMessage());
		}
	}
	
}
