package com.example.chat2weeks;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.Toast;

import com.example.chat2weeks.Model.RosterModel;
import com.example.chat2weeks.adapter.AddFriendAdapter;

public class AddFriendActivity extends Activity {
	private ListView lv;
	private ArrayList<String> checkedBox;
	private AddFriendAdapter addFriendAdapter;
	public static final String DEBUG_ADDFRIENDACTIVITY = "com.example.chat2weeks.AddFriendActivity";
	public static final String RESULT_ADDFRIENDACTIVITY = "com.example.chat2weeks.AddFriendActivity.RESULT";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_add_friend);
		ArrayList<RosterModel> mRosterModels = RosterModel.RosterDummyModel();
		lv = (ListView) findViewById(R.id.add_friend_ListView);
		addFriendAdapter = new AddFriendAdapter(this, mRosterModels);
		lv.setAdapter(addFriendAdapter);
		Button btnCancel = (Button) findViewById(R.id.add_friend_cancelButton);
		btnCancel.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent returnIntent = new Intent();
				setResult(RESULT_CANCELED, returnIntent);
				finish();
			}
		});
		checkedBox = new ArrayList<String>();
		Button btnAdd = (Button) findViewById(R.id.add_friend_addButton);
		btnAdd.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO sekarang harus bisa mengembalikan ArrayList ke Activity berikutnya 
//				CheckBox chkbox = (CheckBox) lv.findViewById(R.id.row_chckBox);
//				int firstPosition = lv.getFirstVisiblePosition();
//				int lastPosition = lv.getCount();
//				for (int i = firstPosition; i < lastPosition-1; i++) {
//					View vi = lv.getChildAt(i);
//					chkbox = (CheckBox) vi.findViewById(R.id.row_chckBox);
//					if(chkbox.isChecked()){
//						Log.d(DEBUG_ADDFRIENDACTIVITY, "posisi ke-"+i);
//						checkedBox.add(i+"");
//					}
//				}
				// #2 Cari tahu alasan kok menggunakan cari yang ini error ya ?
//				Toast.makeText(AddFriendActivity.this, checkedBox.toString(), Toast.LENGTH_LONG).show();
//				Toast.makeText(AddFriendActivity.this, addFriendAdapter.getResult().toString(), Toast.LENGTH_LONG).show();
				Intent returnIntent = new Intent();
//				returnIntent.putParcelableArrayListExtra(RESULT_ADDFRIENDACTIVITY, addFriendAdapter.getResult())
				returnIntent.putExtra(RESULT_ADDFRIENDACTIVITY, addFriendAdapter.getResult().toString());
				setResult(RESULT_OK,returnIntent);
				Log.d(DEBUG_ADDFRIENDACTIVITY, "Kembali ke DashboardActivity !!");
				finish();
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.add_friend, menu);
		return true;
	}

}
