package com.example.chat2weeks.Model;

import java.util.ArrayList;
import java.util.Random;

import com.example.chat2weeks.DashboardActivity;
import com.example.chat2weeks.adapter.AddFriendAdapter;

public class RosterModel {
	private int id;
	private String status;
	private String name;
	private String avaPicPath;
	private boolean isChecked;
	
	public RosterModel(String name, String status, int id){
		this.name = name;
		this.status = status;
		setId(id);
//		setAvaPicPath(AddFriendAdapter.getListData().get(new Random().nextInt(12)));
		setAvaPicPath(AddFriendAdapter.getListData().get(getId()));
	}
	
	public RosterModel(String name, String status){
		this.name = name;
		this.status = status;
//		setAvaPicPath("ic_launcher");
		setAvaPicPath(AddFriendAdapter.getListData().get(new Random().nextInt(12)));
//		setChecked(true);
	}
	
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getAvaPicPath() {
		return avaPicPath;
	}
	public void setAvaPicPath(String avaPicPath) {
		this.avaPicPath = avaPicPath;
	}
	
	public static ArrayList<RosterModel> RosterDummyModel(){
		ArrayList<RosterModel> example = new ArrayList<RosterModel>();
//		RosterModel model1 = new RosterModel("M. Normansyah", "online");
//		RosterModel model2 = new RosterModel("Al Fariz", "online");
//		RosterModel model3 = new RosterModel("Tubagus Damar", "offline");
//		example.add(model1);
//		example.add(model2);
//		example.add(model3);
		for(int i=0;i<AddFriendAdapter.getListData().size();i++){
			Random random = new Random();
			int j = 0+random.nextInt(DashboardActivity.status.length);
			String status = DashboardActivity.status[j];
//			RosterModel model = new RosterModel("Person "+(i+1), status);
			RosterModel model = new RosterModel("Person "+i, status, i);
			example.add(model);
		}
		return example;
	}

	public boolean isChecked() {
		return isChecked;
	}

	public void setChecked(boolean isChecked) {
		this.isChecked = isChecked;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
}
